public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in dev-python/wsgiintercept: wsgiintercept-0.10.0.ebuild ChangeLog
@ 2015-05-29  3:42 Patrick Lauer (patrick)
  0 siblings, 0 replies; 3+ messages in thread
From: Patrick Lauer (patrick) @ 2015-05-29  3:42 UTC (permalink / raw
  To: gentoo-commits

patrick     15/05/29 03:42:41

  Modified:             ChangeLog
  Added:                wsgiintercept-0.10.0.ebuild
  Log:
  Bump
  
  (Portage version: 2.2.20/cvs/Linux x86_64, unsigned Manifest commit)

Revision  Changes    Path
1.16                 dev-python/wsgiintercept/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/wsgiintercept/ChangeLog?rev=1.16&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/wsgiintercept/ChangeLog?rev=1.16&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/wsgiintercept/ChangeLog?r1=1.15&r2=1.16

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/wsgiintercept/ChangeLog,v
retrieving revision 1.15
retrieving revision 1.16
diff -u -r1.15 -r1.16
--- ChangeLog	7 Apr 2015 14:20:55 -0000	1.15
+++ ChangeLog	29 May 2015 03:42:41 -0000	1.16
@@ -1,6 +1,11 @@
 # ChangeLog for dev-python/wsgiintercept
-# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/wsgiintercept/ChangeLog,v 1.15 2015/04/07 14:20:55 jlec Exp $
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-python/wsgiintercept/ChangeLog,v 1.16 2015/05/29 03:42:41 patrick Exp $
+
+*wsgiintercept-0.10.0 (29 May 2015)
+
+  29 May 2015; Patrick Lauer <patrick@gentoo.org> +wsgiintercept-0.10.0.ebuild:
+  Bump
 
 *wsgiintercept-0.9.1 (15 Dec 2014)
 



1.1                  dev-python/wsgiintercept/wsgiintercept-0.10.0.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/wsgiintercept/wsgiintercept-0.10.0.ebuild?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/wsgiintercept/wsgiintercept-0.10.0.ebuild?rev=1.1&content-type=text/plain

Index: wsgiintercept-0.10.0.ebuild
===================================================================
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/wsgiintercept/wsgiintercept-0.10.0.ebuild,v 1.1 2015/05/29 03:42:41 patrick Exp $

EAPI=5

PYTHON_COMPAT=( python2_7 python3_{3,4} pypy )

inherit distutils-r1

MY_PN="wsgi_intercept"
MY_P="${MY_PN}-${PV}"

DESCRIPTION="WSGI application in place of a real URI for testing"
HOMEPAGE="https://github.com/cdent/python3-wsgi-intercept"
SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"

SLOT="0"
LICENSE="MIT"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="doc test"
RDEPEND=""
DEPEND="
	dev-python/setuptools[${PYTHON_USEDEP}]
	test? (
		dev-python/httplib2[${PYTHON_USEDEP}]
		>=dev-python/pytest-2.4[${PYTHON_USEDEP}]
		>=dev-python/requests-2.0.1[${PYTHON_USEDEP}]
		$(python_gen_cond_dep 'dev-python/mechanize[${PYTHON_USEDEP}]' python2_7 pypy)
	)"
S="${WORKDIR}/${MY_P}"

python_prepare_all() {
	# .pyc files cause failure of tests
	rm -rf test/__pycache__/ || die
	distutils-r1_python_prepare_all
}

python_compile_all() {
	use doc && emake -C docs html
}

python_test() {
	py.test || die "Tests failed under ${EPYTHON}"
}

python_install_all() {
	use doc && local HTML_DOCS=( docs/_build/html//. )
	distutils-r1_python_install_all
}





^ permalink raw reply	[flat|nested] 3+ messages in thread

* [gentoo-commits] gentoo-x86 commit in dev-python/wsgiintercept: wsgiintercept-0.10.0.ebuild ChangeLog
@ 2015-06-02 16:01 Ian Delaney (idella4)
  0 siblings, 0 replies; 3+ messages in thread
From: Ian Delaney (idella4) @ 2015-06-02 16:01 UTC (permalink / raw
  To: gentoo-commits

idella4     15/06/02 16:01:58

  Modified:             wsgiintercept-0.10.0.ebuild ChangeLog
  Log:
  Disable tests connecting to the network, fixes Bug #550710
  
  (Portage version: 2.2.20/cvs/Linux x86_64, signed Manifest commit with key 0xB8072B0D)

Revision  Changes    Path
1.2                  dev-python/wsgiintercept/wsgiintercept-0.10.0.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/wsgiintercept/wsgiintercept-0.10.0.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/wsgiintercept/wsgiintercept-0.10.0.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/wsgiintercept/wsgiintercept-0.10.0.ebuild?r1=1.1&r2=1.2

Index: wsgiintercept-0.10.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/wsgiintercept/wsgiintercept-0.10.0.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- wsgiintercept-0.10.0.ebuild	29 May 2015 03:42:41 -0000	1.1
+++ wsgiintercept-0.10.0.ebuild	2 Jun 2015 16:01:58 -0000	1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/wsgiintercept/wsgiintercept-0.10.0.ebuild,v 1.1 2015/05/29 03:42:41 patrick Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/wsgiintercept/wsgiintercept-0.10.0.ebuild,v 1.2 2015/06/02 16:01:58 idella4 Exp $
 
 EAPI=5
 
@@ -33,6 +33,11 @@
 python_prepare_all() {
 	# .pyc files cause failure of tests
 	rm -rf test/__pycache__/ || die
+
+	# Disable tests connecting to the network; Bug #550710
+	sed -e 's:test_http_not_intercepted:_&:' \
+		-e 's:test_https_not_intercepted:_&:' \
+		-i test/{test_urllib.py,test_http_client.py,test_requests.py} || die
 	distutils-r1_python_prepare_all
 }
 



1.17                 dev-python/wsgiintercept/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/wsgiintercept/ChangeLog?rev=1.17&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/wsgiintercept/ChangeLog?rev=1.17&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/wsgiintercept/ChangeLog?r1=1.16&r2=1.17

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/wsgiintercept/ChangeLog,v
retrieving revision 1.16
retrieving revision 1.17
diff -u -r1.16 -r1.17
--- ChangeLog	29 May 2015 03:42:41 -0000	1.16
+++ ChangeLog	2 Jun 2015 16:01:58 -0000	1.17
@@ -1,6 +1,9 @@
 # ChangeLog for dev-python/wsgiintercept
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/wsgiintercept/ChangeLog,v 1.16 2015/05/29 03:42:41 patrick Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/wsgiintercept/ChangeLog,v 1.17 2015/06/02 16:01:58 idella4 Exp $
+
+  02 Jun 2015; Ian Delaney <idella4@gentoo.org> wsgiintercept-0.10.0.ebuild:
+  Disable tests connecting to the network, fixes Bug #550710
 
 *wsgiintercept-0.10.0 (29 May 2015)
 





^ permalink raw reply	[flat|nested] 3+ messages in thread

* [gentoo-commits] gentoo-x86 commit in dev-python/wsgiintercept: wsgiintercept-0.10.0.ebuild ChangeLog
@ 2015-07-28  7:57 Ian Delaney (idella4)
  0 siblings, 0 replies; 3+ messages in thread
From: Ian Delaney (idella4) @ 2015-07-28  7:57 UTC (permalink / raw
  To: gentoo-commits

idella4     15/07/28 07:57:11

  Modified:             wsgiintercept-0.10.0.ebuild ChangeLog
  Log:
  set removal of test folder, fixes bug #555842 by the tinderbox
  
  (Portage version: 2.2.20/cvs/Linux x86_64, signed Manifest commit with key 0xB8072B0D)

Revision  Changes    Path
1.3                  dev-python/wsgiintercept/wsgiintercept-0.10.0.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/wsgiintercept/wsgiintercept-0.10.0.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/wsgiintercept/wsgiintercept-0.10.0.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/wsgiintercept/wsgiintercept-0.10.0.ebuild?r1=1.2&r2=1.3

Index: wsgiintercept-0.10.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/wsgiintercept/wsgiintercept-0.10.0.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- wsgiintercept-0.10.0.ebuild	2 Jun 2015 16:01:58 -0000	1.2
+++ wsgiintercept-0.10.0.ebuild	28 Jul 2015 07:57:11 -0000	1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/wsgiintercept/wsgiintercept-0.10.0.ebuild,v 1.2 2015/06/02 16:01:58 idella4 Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/wsgiintercept/wsgiintercept-0.10.0.ebuild,v 1.3 2015/07/28 07:57:11 idella4 Exp $
 
 EAPI=5
 
@@ -34,6 +34,10 @@
 	# .pyc files cause failure of tests
 	rm -rf test/__pycache__/ || die
 
+	# Req'd to avoid file collisions
+	sed -e s":find_packages():find_packages(exclude=['test']):" \
+		-i setup.py || die
+
 	# Disable tests connecting to the network; Bug #550710
 	sed -e 's:test_http_not_intercepted:_&:' \
 		-e 's:test_https_not_intercepted:_&:' \



1.19                 dev-python/wsgiintercept/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/wsgiintercept/ChangeLog?rev=1.19&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/wsgiintercept/ChangeLog?rev=1.19&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/wsgiintercept/ChangeLog?r1=1.18&r2=1.19

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/wsgiintercept/ChangeLog,v
retrieving revision 1.18
retrieving revision 1.19
diff -u -r1.18 -r1.19
--- ChangeLog	7 Jun 2015 16:33:27 -0000	1.18
+++ ChangeLog	28 Jul 2015 07:57:11 -0000	1.19
@@ -1,6 +1,9 @@
 # ChangeLog for dev-python/wsgiintercept
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/wsgiintercept/ChangeLog,v 1.18 2015/06/07 16:33:27 jlec Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/wsgiintercept/ChangeLog,v 1.19 2015/07/28 07:57:11 idella4 Exp $
+
+  28 Jul 2015; Ian Delaney <idella4@gentoo.org> wsgiintercept-0.10.0.ebuild:
+  set removal of test folder, fixes bug #555842 by the tinderbox
 
   07 Jun 2015; Justin Lecher <jlec@gentoo.org> metadata.xml:
   Add github to remote-id in metadata.xml





^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2015-07-28  7:57 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-07-28  7:57 [gentoo-commits] gentoo-x86 commit in dev-python/wsgiintercept: wsgiintercept-0.10.0.ebuild ChangeLog Ian Delaney (idella4)
  -- strict thread matches above, loose matches on Subject: below --
2015-06-02 16:01 Ian Delaney (idella4)
2015-05-29  3:42 Patrick Lauer (patrick)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox